--- title: "Send Web Push Notifications" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/push-notifications/web/send-web-push-notifications/ description: "This API is used to send push notifications to the users of your web application after you enable Catalyst push notifications." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Push Notifications [Push notifications](https://docs.catalyst.zoho.com/en/cloud-scale/help/push-notifications/introduction/) are remote notifications that an application provider can send to the users of their application, even when the application is not actively running on the user device. Catalyst provides you with an easy way to integrate push notifications into your Catalyst web and iOS applications. ## Send Web Push Notifications ### Description This API is used to send text [push notifications](https://docs.catalyst.zoho.com/en/cloud-scale/help/push-notifications/introduction/) to the users of your web application for testing, after you enable push notifications for it. You can enable push notifications and also register client devices for receiving push notifications by implementing the web script mentioned in [this Web SDK help page](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/push-notifications/register-client/). You can then use this API to send push notifications. You can pass the push notification message and a list of the recipients in your API request as shown in the sample request. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/project-user/notify - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project #### Request Headers **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development > **Note:** Catalyst does not authenticate this API request. Therefore, you need not pass an OAuth token. #### Scope ZohoCatalyst.notifications.web.CUSTOM #### Request JSON Properties - **recipients** (string, mandatory): The email address or the user ID of the users that the push notification must be sent to - **message** (string, mandatory): The message content of the push notification in the text format ### Response Details The response returns the status of the sent notification as `success` or `failed`. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3000000002001/project-user/notify \ -H "Content-Type: application/json" \ -d '{ "recipients":["rhonda.wilkins@zylker.com","isabella.j@zylker.com","harry.sandman@zylker.com"], "message":"Attention, new employees! Update your profile information in Zylker team app" }' ``` **Sample Response** ```json { "status": "success", "data": true } ``` ### SDK Documentation [Send Push Notifications- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/push-notifications/send-notifications)

[Send Push Notifications- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/push-notifications/send-notifications)

[Send Push Notifications- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/push-notifications/send-notifications)

[Register a Client for Push Notifications- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/push-notifications/get-component-instance/)